#!/bin/bash

if [ ! "$#" -eq  "3" ]
then
        echo "--------------------------------------------------------------"
        echo "Syntax: ./createwebsite.sh websitename url dominoserver"
        echo "--------------------------------------------------------------"

else
        declare -l lcname
        declare -l lcurl
        declare -l lcdomino
        lcname="$1"
        lcurl="$2"
        lcdomino="$3"

        if [[ "$lcdomino" == "domino01" || "$lcdomino" == "domino02" || "$lcdomino" == "domino03" ]]; then
                echo
                echo "Create new website for $lcname with the url $lcurl on Domino server $lcdomino"

                if [ -e /etc/httpd/websites.d/$lcname.conf ]; then
                        echo "Website $lcname already exists!"
                        echo 'The file /etc/httpd/websites.d/'$lcname'.conf already exists'
                else
                        echo
                        echo "Checking the configuration"
                        echo

                        if  grep -Fxq "$lcurl" /etc/httpd/plugins/plugin-cfg.xml; then
                                echo 'Failed: URL found in: /etc/httpd/plugins/plugin-cfg.xml'
                        else
                                echo
                                echo "Create configuration /etc/httpd/websites.d/"$lcname".conf"
                                touch /etc/httpd/websites.d/$lcname.conf
                                if [ ! -e /etc/httpd/websites.d/$lcname.conf ]; then
                                        echo "Failed: cannot create the file: /etc/httpd/websites.d/"$lcname".conf"
                                else
                                        echo
                                        echo "Create cachefolder /var/cache/mod_proxy/"$lcname"/"
                                        sudo mkdir /var/cache/mod_proxy/$lcname/
                                        if [ ! -d /var/cache/mod_proxy/$lcname ]; then
                                                echo "Failed: cannot create folder: /var/cache/mod_proxy/"$lcname
                                        else
                                                sudo chown apache:apache /var/cache/mod_proxy/$lcname/
                                                echo
                                                echo "Create logfolder /logs/"$lcname
                                                sudo mkdir /logs/$lcname
                                                if [ ! -d /logs/$lcname ]; then
                                                        echo "Failed: cannot create folder: /logs/"$lcname
                                                else
                                                        echo
                                                        echo "Finish configuration websitedocument /etc/httpd/websites.d/"$lcname".conf"
                                                        echo "<VirtualHost *:80>" >> /etc/httpd/websites.d/$lcname.conf
                                                        echo "  ServerName $lcurl" >> /etc/httpd/websites.d/$lcname.conf

                                                        REGEL=' CacheRoot "/var/cache/mod_proxy/'$lcname'/"'
                                                        echo $REGEL >> /etc/httpd/websites.d/$lcname.conf

                                                        REGEL=' CustomLog "| /usr/sbin/rotatelogs -l /logs/'$lcname'/%Y-%m-%d.evo-access.log 86400" combined'
                                                        echo $REGEL >> /etc/httpd/websites.d/$lcname.conf

                                                        REGEL=' ErrorLog "| /usr/sbin/rotatelogs -l /logs/'$lcname'/%Y-%m-%d.evo-error.log 86400"'
                                                        echo $REGEL >> /etc/httpd/websites.d/$lcname.conf

                                                        echo "</VirtualHost>" >> /etc/httpd/websites.d/$lcname.conf
                                                        echo
                                                        echo "Change /etc/httpd/plugins/plugin-cfg.xml"
                                                        CHANGE='<VirtualHost Name="'$lcurl':*"/>'
                                                        SSEEDD1='/addingservers_'$lcdomino'-->/a       '
                                                        SSEEDD2=$CHANGE
                                                        SSEEDD=$SSEEDD1$SSEEDD2
                                                        sudo sed -i "$SSEEDD" /etc/httpd/plugins/plugin-cfg.xml
                                                        sudo /usr/sbin/service httpd restart
                                                fi
                                        fi
                                fi
                        fi
                fi

        else
                echo "Dominoserver: domino01, domino02 or domino03"
        fi
fi
 