#!/bin/bash

if [ ! "$#" -eq  "2" ]
then
        echo "-------------------------------------------------"
        echo "Syntax: ./deletewebsite.sh websitename url"
        echo "-------------------------------------------------"

else
        declare -l lcname
        declare -l lcurl
        lcname="$1"
        lcurl="$2"

        echo
        echo "Delete website for $lcname with the url $lcurl"

        if [ -e /etc/httpd/websites.d/$lcname.conf ]; then
                echo "Websiteconfig /etc/httpd/websites.d/$lcname.conf exists and removed"
                sudo rm -f /etc/httpd/websites.d/$lcname.conf
        fi
        if [ -e /etc/httpd/websites.d/$lcname-le-ssl.conf ]; then
                echo "WebsiteSSLconfig /etc/httpd/websites.d/$lcname-le-ssl.conf exists and removed"
                sudo rm -f /etc/httpd/websites.d/$lcname-le-ssl.conf
        fi
        if [ -d /var/cache/mod_proxy/$lcname ]; then
                echo "Websitecache /var/cache/mod_proxy/$lcname exists and removed"
                sudo rm -fr /var/cache/mod_proxy/$lcname
        fi
        if [ -d /logs/$lcname ]; then
                echo "Websitelog /logs/$lcname exists and removed"
                sudo rm -fr /logs/$lcname
        fi

        echo "Removing $lcurl from /etc/httpd/plugins/plugin-cfg.xml"
        sudo sed -i.bak '/'$lcurl'/d' /etc/httpd/plugins/plugin-cfg.xml
        sudo /usr/sbin/service httpd restart
fi
 